Name:       phoronix-test-suite
Version:    3.4.0
Release:    2%{?dist}
Summary:    An Automated, Open-Source Testing Framework

Group:      Applications/System
License:    GPLv3+
URL:        http://%{name}.com/
Source0:    http://www.%{name}.com/releases/%{name}-%{version}.tar.gz
Source1:    README.Fedora
Patch1:     %{name}_fix_install-sh.patch
Patch2:     %{name}_fix_desktop_file.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: desktop-file-utils

Requires: php-cli
Requires: php-gd
Requires: php-fpdf
Requires: php-process
Requires: php-xml

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking 
platform available for the Linux operating system. This software is designed to 
effectively carry out both qualitative and quantitative benchmarks in a clean, 
reproducible, and easy-to-use manner. The Phoronix Test Suite consists of a 
lightweight processing core (pts-core) with each benchmark consisting of an 
XML-based profile with related resource scripts. The process from the benchmark 
installation, to the actual benchmarking, to the parsing of important hardware 
and software components is heavily automated and completely repeatable, asking 
users only for confirmation of actions.

%prep
%setup -q -n %{name}
%patch1
%patch2
cp -p %{SOURCE1} documentation/

%build
# Nothing needed here

%install
rm -rf %{buildroot}

export DESTDIR=%{buildroot}
./install-sh %{_prefix}
mkdir -p %{buildroot}/%{_datadir}/mime/packages/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/64x64/mimetypes/
cp -p pts-core/openbenchmarking.org/*.xml %{buildroot}/%{_datadir}/mime/packages/
cp -p pts-core/static/images/openbenchmarking.png %{buildroot}/%{_datadir}/icons/hicolor/64x64/mimetypes/application-x-openbenchmarking.png
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

#remove duplicate files
rm -r %{buildroot}/%{_datadir}/%{name}/pts-core/openbenchmarking.org/openbenchmarking-mime.xml
rm -r %{buildroot}/%{_datadir}/%{name}/pts-core/static/bash_completion
rm -r %{buildroot}/%{_datadir}/%{name}/pts-core/static/images/openbenchmarking.png
rm -r %{buildroot}/%{_datadir}/%{name}/pts-core/static/images/%{name}.png

%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name} 
%{_datadir}/%{name}
%{_datadir}/icons/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bash_completion.d
%{_datadir}/applications/*
%{_datadir}/mime/packages/*

%changelog
* Mon Oct 31 2011 Markus Mayer <lotharlutz@gmx.de> 3.4.0-2
- mark bash_completion.d as config file

* Sat Sep 10 2011 Markus Mayer <lotharlutz@gmx.de> 3.4.0-1
- new upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 16 2009 Joseph Smidt <josephsmidt@gmail.com> 1.8.1-1
- New upstream release

* Mon Apr 6 2009 Joseph Smidt <josephsmidt@gmail.com> 1.8.0-1
- New upstream release

* Thu Mar 26 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-4
- Changed GPLv3 to GPLv3+
- Set mode of dummy_script_module.sh to 755
- Included README.Fedora to explain non-free PTS tests

* Sat Mar 21 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-3
- Added full dependencies

* Tue Mar 3 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-2
- Removed explicite-lib dependencies

* Sun Feb 22 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-1
- Added full path to online source code.
- Added BuildArch: noarch
- Added an empty %%build section

* Sat Feb 14 2009 Joseph Smidt <fedoraproject.org> 1.6.0-0
- Initial RPM Release

